////////////////////////////////////////////////////////////////////////////////
//
// history:
//
// 2021-12-27  uj setup
//
////////////////////////////////////////////////////////////////////////////////

/**
 * (c) Janicke Consulting, Germany 2022
 * mail info@janicke.de
 * 
 * Class with nthe definition of an aircraft group.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package de.janicke.airport.eedb;

import java.util.HashMap;

public class ACG {
      
    private HashMap<String, Double> ht;
    public String name;
    public String APU;
    public double narr, ndep;
    
   
    public ACG(String name) {
      this.name = name;
      ht = new HashMap<String, Double>();
    }
    
    public void addMass(String trc, String mode, double d) {  
      double dold = getMass(trc, mode);
      if (Double.isNaN(dold) || dold < 0.)
        dold = 0.;
      if (Double.isNaN(d) || d < 0.)
        d = 0.;
      ht.put(trc.toLowerCase()+"-"+mode.toLowerCase(), dold+d);
    }
    
    public void setMass(String trc, String mode, double d) {
      if (Double.isNaN(d) || d < 0.)
        d = 0.;
      ht.put(trc.toLowerCase()+"-"+mode.toLowerCase(), d);
    }

    public double getMass(String trc, String mode) {
      Double D = ht.get(trc.toLowerCase()+"-"+mode.toLowerCase());
      double d = (D == null) ? Double.NaN : D;
      if (Double.isNaN(d) || d < 0.)
        d = 0.;
      return d;
    }
    
    public void setTIM(String mode, double d) {
      ht.put(mode.toLowerCase(), d);
    }

    public double getTIM(String mode) {
      Double D = ht.get(mode.toLowerCase());
      double d = (D == null) ? Double.NaN : D;
      return d;
    }
  
}
